# ParticleFlipbookMode

## Overview

ParticleFlipbookMode is an Enum that defines how particles cycle through textures in flipbook animations.

This is used in the FlipbookMode property of ParticleEmitter and determines how the animation is played.

## Items

| Name     | Value | Description                                                                                 |
| -------- | ----- | ------------------------------------------------------------------------------------------- |
| Loop     | 0     | Animation loops when it reaches the end.                                                    |
| OneShot  | 1     | Animation plays once, then stops on the last frame.                                         |
| PingPong | 2     | Animation plays forward to the end, then plays backward to the start in a ping-pong manner. |
| Random   | 3     | Displays animation frames in random order.                                                  |

## See also

{% content-ref url="/pages/PzdUA1Oi8vUN198oIS2W" %}
[ParticleEmitter](/development/api-reference/classes/particleemitter.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/particleflipbookmode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
